Subject: [alpine-devel] [PATCH] /testing/inetutils-syslogd - version bump & small corrections

From: Stuart Cardall <[email-masked]>
Date: Thu, 17 Apr 2014 01:06:28 +0000

Version bump to 1.9.2:
----------------------------------------------------------------------
Messages can be logged to specific files according to the name of the
submitting program, on the tag attached to the message.  The mechanism
is patterned after same feature used in on BSD.

Support loading of multiple configuration files located in a single
directory.  New switches `-D/--rcdir'.
----------------------------------------------------------------------

APKBUILD now installs /sbin/setup-inetutils-syslogd correctly.

'delaycompress' changed to 'copytruncate' in logrotate settings so logs
do not continue to be written to a rotated log file.

/etc/syslog.conf settings for INN news system commented out by default.
---
 testing/inetutils-syslogd/APKBUILD                   | 20 +++++++++++++-------
 .../inetutils-syslogd/inetutils-syslogd.logrotate    |  4 ++--
 testing/inetutils-syslogd/syslog.conf                |  6 +++---
 3 files changed, 18 insertions(+), 12 deletions(-)

diff --git a/testing/inetutils-syslogd/APKBUILD b/testing/inetutils-syslogd/APKBUILD
index f29cd33..e6630a4 100644
--- a/testing/inetutils-syslogd/APKBUILD
+++ b/testing/inetutils-syslogd/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=inetutils-syslogd
 _pkgname=inetutils
-pkgver=1.9.1
+pkgver=1.9.2
 pkgrel=0
 pkgdesc="A small syslogd for logging to multiple files"
 url="http://www.gnu.org/software/inetutils/"
@@ -18,6 +18,7 @@ source="http://ftp.gnu.org/gnu/inetutils/${_pkgname}-${pkgver}.tar.gz
 	inetutils-syslogd.confd
 	syslog.conf
 	inetutils-syslogd.logrotate
+	inetutils-syslogd.setup
 	"
 
 _builddir="$srcdir"/$_pkgname-$pkgver
@@ -71,20 +72,25 @@ package() {
                 "$pkgdir"/etc/syslog.conf || return 1
 	install -m644 -D "$srcdir"/inetutils-syslogd.logrotate \
                 "$pkgdir"/etc/logrotate.d/inetutils-syslogd || return 1
+	install -m755 -D "$srcdir"/inetutils-syslogd.setup \
+                "$pkgdir"/sbin/setup-inetutils-syslogd || return 1
 }
 
-md5sums="944f7196a2b3dba2d400e9088576000c  inetutils-1.9.1.tar.gz
+md5sums="aa1a9a132259db83e66c1f3265065ba2  inetutils-1.9.2.tar.gz
 6f0deb2a07439638161d03fd887d4fad  inetutils-syslogd.initd
 edf3f502d9f2bf49c5da8cb37a927d06  inetutils-syslogd.confd
 506560780445d5a7b30e2e3c96efa19d  syslog.conf
-9980ae54a3791c7f9d1d3baa04698e2a  inetutils-syslogd.logrotate"
-sha256sums="02a9ebde8a198cb85f87545b9d88fb103a183958139864a85fe9e027ad79ff2b  inetutils-1.9.1.tar.gz
+842e971153c19cb328db2cc6e22a7baf  inetutils-syslogd.logrotate
+751bda34989e3a7baff0621a3450cea3  inetutils-syslogd.setup"
+sha256sums="0423ea40a160cd4630f817e247df5c08ecc625378d2bb56a0509117a36a89913  inetutils-1.9.2.tar.gz
 1cf71f3656dceba3ddf0543a43a98e644a0b42999ba80b9f72318ee578c9ff53  inetutils-syslogd.initd
 86105f0a0105f50275f7381b5d7fe603b8d854a0e6753c2f06f6d0c234562948  inetutils-syslogd.confd
 a991140072f0ff1a0d3b3e593eb5935fcca0c00f93436022b9055c7450decdf9  syslog.conf
-2b3e73b1a808cabd54dd3c3b78573cdf759422fa3c7b64f15838ce0830edaa31  inetutils-syslogd.logrotate"
-sha512sums="69267bfa3cae34f6145caad668dc2e9385701fb52a144640e9893fa7f0b7694eacd1fe579de3fb7190e8485b26c00337ded136488694c399b0fc290f7eec303c  inetutils-1.9.1.tar.gz
+f2afe7dad8cd933fbd213b20f09127096f8798698874b2ead2d47a6509f95f6c  inetutils-syslogd.logrotate
+7747b585eddc9f7bd7cff0d23d785ba7efdbbb4f67781b23279f881272a4d559  inetutils-syslogd.setup"
+sha512sums="5584219aba4c4fc035776adf88f0e3e7f5553d35b0142b8633aa21f135b31df1545e40d5ea54ec90dbcc8410dbc9924fb845f8e28daba0d783630a9201e63cbf  inetutils-1.9.2.tar.gz
 e70d0e244fcc30e94f846b82b4ec7318b5582f512bd715fb5bd9178d7be5ede0e5b53e29431a2db5177ce2f31fc306900b3a1297a658e84b2671f3ad5153b81c  inetutils-syslogd.initd
 82968692b4fe79706aacaeb1021b343288dc4f1d86925481796dac1f743a8269976ce86bf446cd0c16d246b918e5822e312660b201407eb7031a17cb398c9513  inetutils-syslogd.confd
 5abb2a0309c9e180d7cacf97917044a8d3573fdf4d5902d757788fb687800900b47a02c6ec4a113475931176b52a1c2ba0771452bfb301a11b5aa0230377872d  syslog.conf
-30741cf17a86a0bf39404882711d827e200a2d22cdba873e49f1a871f8d113cfe5bb1ddf3206c44be888be15aa09104656f9bd26406abb42c9b6fed0624d0bfb  inetutils-syslogd.logrotate"
+ffe2b1fd6b9d4dc9e378f0c857be318ec86e48aee17ede865656bdf9a5da3d2f3a8ffe788cd62794132839577ab6ce1ce7fe3a964bc21e0f8b698827a9ee5817  inetutils-syslogd.logrotate
+89ee7b84b79575140d38cb08bde1238366aad53977408ddf9f659922618a1716ad8e6367b6ca9712178ac9e9d26639dffca8f5ea1e46bda5c571029e80bc42ee  inetutils-syslogd.setup"
diff --git a/testing/inetutils-syslogd/inetutils-syslogd.logrotate b/testing/inetutils-syslogd/inetutils-syslogd.logrotate
index 9edb145..853c213 100644
--- a/testing/inetutils-syslogd/inetutils-syslogd.logrotate
+++ b/testing/inetutils-syslogd/inetutils-syslogd.logrotate
@@ -4,7 +4,7 @@
 	daily
 	missingok
 	notifempty
-	delaycompress
+	copytruncate
 	compress
 	postrotate
 		/etc/init.d/inetutils-syslogd reload &>/dev/null || true
@@ -28,8 +28,8 @@
 	weekly
 	missingok
 	notifempty
+	copytruncate
 	compress
-	delaycompress
 	sharedscripts
 	postrotate
 		/etc/init.d/inetutils-syslogd reload &>/dev/null || true
diff --git a/testing/inetutils-syslogd/syslog.conf b/testing/inetutils-syslogd/syslog.conf
index 27141bf..fb6b25e 100644
--- a/testing/inetutils-syslogd/syslog.conf
+++ b/testing/inetutils-syslogd/syslog.conf
@@ -21,9 +21,9 @@ mail.err                        /var/log/mail.err
 #
 # Logging for INN news system.
 #
-news.crit                       /var/log/news/news.crit
-news.err                        /var/log/news/news.err
-news.notice                     -/var/log/news/news.notice
+#news.crit                       /var/log/news/news.crit
+#news.err                        /var/log/news/news.err
+#news.notice                     -/var/log/news/news.notice
 
 #
 # Some "catch-all" log files.
-- 
1.9.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---